Skip to main content
POST
/
communication-preferences
/
2026-03
/
statuses
/
batch
/
unsubscribe-all
Batch unsubscribe contacts from all subscriptions
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "subscriberIdString": "<string>",
      "statuses": [
        {
          "channel": "EMAIL",
          "source": "<string>",
          "status": "NOT_SPECIFIED",
          "subscriberIdString": "<string>",
          "subscriptionId": 123,
          "timestamp": "2023-11-07T05:31:56Z",
          "businessUnitId": 123,
          "legalBasis": "CONSENT_WITH_NOTICE",
          "legalBasisExplanation": "<string>",
          "setStatusSuccessReason": "NO_STATUS_CHANGE",
          "subscriptionName": "<string>"
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

channel
enum<string>
required
Available options:
EMAIL
businessUnitId
integer<int64>
verbose
boolean
default:false

Body

application/json
inputs
string[]
required

A list of strings representing the inputs for batch operations.

Response

successful operation

completedAt
string<date-time>
required

The date and time when the bulk opt-out operation was completed.

results
object[]
required

An array containing the results of the bulk opt-out from all communications operation.

startedAt
string<date-time>
required

The date and time when the bulk opt-out operation began.

status
enum<string>
required

The current status of the bulk opt-out operation, which can be PENDING, PROCESSING, CANCELED, or COMPLETE.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An array of error objects detailing any issues encountered during the bulk opt-out operation.

A collection of URLs linking to related resources or documentation.

numErrors
integer<int32>

The total number of errors encountered during the bulk opt-out operation.

requestedAt
string<date-time>

The date and time when the bulk opt-out request was made.

Last modified on May 1, 2026